using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Data.SqlClient;

public partial class sql_data_reader : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		// préparer la connexion
        string c_string = ConfigurationManager.ConnectionStrings["bancaConnectionString"].ConnectionString;
		SqlConnection cx_annuaire=new SqlConnection(c_string);
		
		// une requête select donne lieu à un SqlDataReader
		string rq="select id_utilisateur,utilisateur_nom from utilisateur";
		SqlCommand sql=new SqlCommand(rq,cx_annuaire);
		
		// ouvrir la connexion
		cx_annuaire.Open();

		// exécuter la requête et récupérer le curseur
		SqlDataReader reader=sql.ExecuteReader();

		// avancer de ligne en ligne
		while(reader.Read())
		{
			int idu;
			idu = (int)reader[0];		// syntaxe 1
            idu = (int)reader["id_utilisateur"];	// syntaxe 2
			idu = reader.GetInt32(0);	// syntaxe 3, sans transtypage

			string nom;
			nom = (string)reader[1];	// syntaxe 1
            nom = (string)reader["utilisateur_nom"];// syntaxe 2
			nom = reader.GetString(1);	// syntaxe 3	
		
			ListBox1.Items.Add(new ListItem(nom,idu.ToString()));
		}

		// toujours fermer le reader après usage
		reader.Close();

		// fermer la connexion
		cx_annuaire.Close();
    }
}
